## crtmpserver-r811.tar.bz2

=== appscaffold/templates/builders/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(#APPNAME_LC#)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/#APPNAME_LC#/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/#APPNAME_LC#/include
	)

#create THE library
ADD_LIBRARY(#APPNAME_LC# SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(#APPNAME_LC# thelib)
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== builders/packing/debian/debian/control ===
Source: crtmpserver
Section: video
Priority: optional
Maintainer: Andriy Beregovenko <jet@jet.kiev.ua>
Build-Depends: cmake,
 debhelper (>= 7.0.50~),
 liblua5.1-0-dev,
 libssl-dev,
 libtinyxml-dev
Standards-Version: 3.9.1
Homepage: http://www.rtmpd.com

Package: crtmpserver
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 openssl,
 liblua5.1-0,
 libtinyxml2.5.3
Pre-Depends: adduser
Description: High performance RTMP/RTSP streaming server
 crtmpserver is a high performance streaming server able to stream
 (live or recorded) in the following technologies:
  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
  - To and from embedded devices: iPhone, Android
  - From surveillance cameras
  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
 .
 Also, crtmpserver can be used as a high performance rendes-vous server.
 For example, it enables you to do:
  - Audio/Video conferencing
  - Online gaming
  - Online collaboration
  - Simple/complex chat applications
